26.05.2019, 01:26 [+3 UTC]
в нашей команде: 3 644 чел. | участники онлайн: 5 (рекорд: 21)

:: РЕГИСТРАЦИЯ

задать вопрос

все разделы

правила

новости

участники

доска почёта

форум

блоги

поиск

статистика

наш журнал

наши встречи

наша галерея

отзывы о нас

поддержка

руководство

Версия системы:
7.75 (18.05.2019)
JS-v.1.33 | CSS-v.3.35

Общие новости:
28.04.2019, 09:13

Форум:
25.05.2019, 11:20

Последний вопрос:
26.05.2019, 00:52
Всего: 149693

Последний ответ:
25.05.2019, 14:47
Всего: 258521

Последняя рассылка:
25.05.2019, 19:45

Писем в очереди:
0

Мы в соцсетях:

Наша кнопка:

RFpro.ru - здесь вам помогут!

Отзывы о нас:
15.03.2019, 16:23 »
dar777
Это самое лучшее решение! [вопрос № 194929, ответ № 277664]
09.02.2019, 13:25 »
dar777
Это самое лучшее решение! [вопрос № 194587, ответ № 277414]
31.10.2009, 20:04 »
Кузнецов Валентин Олегович
Большое спасибо. Значит разницы в средствах нет, за исключением цены. Еще раз спасибо! [вопрос № 173863, ответ № 256052]

РАЗДЕЛ • Linux / UNIX

Системное администрирование, установка и настройка Linux и UNIX-операционных систем.

[администратор рассылки: Хватов Сергей (Академик)]

Лучшие эксперты в этом разделе

Азимджон
Статус: 4-й класс
Рейтинг: 171
Valery N
Статус: Мастер-Эксперт
Рейтинг: 90
SAW
Статус: 7-й класс
Рейтинг: 49

Перейти к консультации №:
 

Консультация онлайн # 67362
Раздел: • Linux / UNIX
Автор вопроса: Gamer
Отправлена: 17.12.2006, 12:43
Поступило ответов: 2

Здравствуйте.Появилась новая проблемма при изучении линуса.Т.к в линуксе мой вынь-модем не пашет ,то я качаю пакеты под виндой и ставлю их через dpkg -i.Так вот при обновлении g++ до 4.0.2 и установки всех пакетов вручную появилась такая ...хрень.Пакет g++-4.0_4.0.2-3_i386.deb зависит от libstdc++6-4.0-dev_4.0.2-3_i386.deb,а libstdc++6-4.0-dev_4.0.2-3_i386.deb наоборот от g++-4.0_4.0.2-3_i386.deb.Поэтому я не могу их установить.Каждый ругается что другой не настроен.Что делать?

Состояние: Консультация закрыта

Ответ # 132132 от fragl

Здравствуйте, Gamer!
могу предложить выход
dpkg хранит статус установленных пакетов в /var/lib/dpkg/status
можно по пробоватать изменить статус пакета libstdc++6-4.0-dev
с
Status: install ok unpacked
на
Status: install ok installed
dpkg --audit перестанет ругатся что не сконфигурирован libstdc++6-4.0-dev
далее сконфигурировать g++-4.0
dpkg --configure g++-4.0
опять сменить статус libstdc++6-4.0-dev
с
Status: install ok installed
на
Status: install ok unpacked
и
dpkg --configure libstdc++6-4.0-dev
Затрудняюсь ответить к чему это может вас привести даже в конкретном данном случаи всё установится, вопрос коректно ли?
Вообще вам стоит настроить свой винмодем (чем и следует занятся, а не обнавлять g++) для работы в сети и пользоватся apt-get для обнавления системы.


Консультировал: fragl
Дата отправки: 18.12.2006, 01:18

Рейтинг ответа:

0

[подробно]

Сообщение
модераторам

Отправлять сообщения
модераторам могут
только участники портала.
ВОЙТИ НА ПОРТАЛ »
регистрация »

Здравствуйте, Gamer!
а если перечислить их в одной строке
dpkg -i g++-4.0_4.0.2-3_i386.deb libstdc++6-4.0-dev_4.0.2-3_i386.deb
?
C rpm'ами такое проходит.


Консультировал: PVS
Дата отправки: 18.12.2006, 10:25

Рейтинг ответа:

0

[подробно]

Сообщение
модераторам

Отправлять сообщения
модераторам могут
только участники портала.
ВОЙТИ НА ПОРТАЛ »
регистрация »

Возможность оставлять сообщения в мини-форумах консультаций доступна только после входа в систему.
Воспользуйтесь кнопкой входа вверху страницы, если Вы зарегистрированы или пройдите простую процедуру регистрации на Портале.

Яндекс Rambler's Top100

главная страница | поддержка | задать вопрос

Время генерирования страницы: 0.13876 сек.

© 2001-2019, Портал RFPRO.RU, Россия
Калашников О.А.  |  Гладенюк А.Г.
Версия системы: 7.75 от 18.05.2019
Версия JS: 1.33 | Версия CSS: 3.35